Bug 238582 - Host Side Cable Detect Needed
Host Side Cable Detect Needed
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Alan Cox
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-01 12:39 EDT by Sean Bruno
Modified: 2008-05-14 07:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 07:23:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ASUS K8N-DL lspci -v output (7.50 KB, text/plain)
2007-05-01 13:03 EDT, Sean Bruno
no flags Details
lsmod output (3.38 KB, text/plain)
2007-05-01 13:04 EDT, Sean Bruno
no flags Details
40-wire cable that was used when ticket was reported (537.31 KB, image/jpeg)
2007-05-11 23:27 EDT, Sean Bruno
no flags Details
80-wire cable that fixed the issue reported in this ticket (546.13 KB, image/jpeg)
2007-05-11 23:29 EDT, Sean Bruno
no flags Details
Side by side comparison of both cables (398.77 KB, image/jpeg)
2007-05-11 23:30 EDT, Sean Bruno
no flags Details

  None (edit)
Description Sean Bruno 2007-05-01 12:39:33 EDT
Description of problem:

Using the x86_64 DVD ISO(FC7T4), I attempted to install.  The following errors
are the last display on my console after I skip the media check in
anaconda.  After selecting skip, I see an error message about anaconda
being terminated.

FC6 X86_64 installs just fine on my machine.  This seems to be a new failure in FC7.

Version-Release number of selected component (if applicable):
Unknown

How reproducible:
Every time

Steps to Reproduce:
1.  Attempt to install FC7T4 with a Sony DVD burner, model DRU-800A
  
Actual results:
Error reported after selecting 'skip test' of Media Check.

Expected results:
Install should proceed.

Additional info:
<6> device-mapper: multipath emc: version 0.0.3 loaded
<3> SQUASHFS error: sb_bread failed reading block 0x15c5e
<3> SQUASHFS error: Unable to read cache block [5716b1d:16f2]
<3> SQUASHFS error: Unable to read inode [5716b1d:16f2]
<6> sr 3:0:0:0: SCSI error:  return code = 0x08000002
<6> sr0: Current: sense key: Hardware Error
<6>      Additional sense: Logical unit communication CRC error
(Ultra-DMA/32)
<4> end_request: I/O error, dev sr0, sector 6424656
<3> SQUASHFS error: sb_bread failed reading block 0x1bd4
<3> SQUASHFS error: Unable to read page, block 6f2cfb, size 2566
<6> sr: 3:0:0:0: SCSI error:  return code = 0x08000002
<6> sr0: Current: sense key: Hardware Error
<6>      Additional sense:  Logical unit communications CRC error
(Ultra-DMA/32)
<4> end_request: I/O error, dev sr0, sector 6424656
<6> sr 3:0:0:0: SCSI error: return code = 0x08000002
<6> sr0: Current:  sense key: Hardware Error
<6>      Additional sense:  Logical unit communication CRC error
(Ultra-DMA/32)
<4> end_request: I/O error, dev sr0, sector 6424656
<3> SQUASHFS error: sb_bread failed reading block 0x1bd4
<3> SQUASHFS error: Unable to read page, block 6f2cfb, size 2566
<3> SQUASHFS error: sb_bread failed reading block 0x1bd4
<3> SQUASHFS error: Unable to read page, block 6f2cfb, size 2566
<3> SQUASHFS error: sb_bread failed reading block 0x1bd4
<3> SQUASHFS error: Unable to read page, block 6f2cfb, size 2566
Comment 1 Will Woods 2007-05-01 12:52:37 EDT
What controller is the drive attached to?
Comment 2 Sean Bruno 2007-05-01 13:02:53 EDT
The Motherboard is an ASUS K8N-DL with the nVidia CK804:

[sean@home-desk ~]$ sudo lspci -v -s 00:06.0
00:06.0 IDE interface: nVidia Corporation CK804 IDE (rev f2) (prog-if 8a [Master
SecP PriP])
        Subsystem: ASUSTeK Computer Inc. Unknown device 8162
        Flags: bus master, 66MHz, fast devsel, latency 0
        [virtual] Memory at 000001f0 (32-bit, non-prefetchable) [disabled] [size=8]
        [virtual] Memory at 000003f0 (type 3, non-prefetchable) [disabled] [size=1]
        [virtual] Memory at 00000170 (32-bit, non-prefetchable) [disabled] [size=8]
        [virtual] Memory at 00000370 (type 3, non-prefetchable) [disabled] [size=1]
        I/O ports at e800 [size=16]
        Capabilities: [44] Power Management version 2
Comment 3 Sean Bruno 2007-05-01 13:03:48 EDT
Created attachment 153871 [details]
ASUS K8N-DL lspci -v output
Comment 4 Sean Bruno 2007-05-01 13:04:42 EDT
Created attachment 153872 [details]
lsmod output
Comment 5 Chuck Ebbert 2007-05-02 18:11:19 EDT
First thing I would try is NOT skipping the media check on install.
Comment 6 Sean Bruno 2007-05-02 22:53:49 EDT
Well, the sha1sum matches:
[sean@home-desk f7-test4-x86_64]$ sha1sum F-6.93-x86_64-DVD.iso 
3cf40f1837565261be4690df58632742c9fe30a7  F-6.93-x86_64-DVD.iso
[sean@home-desk f7-test4-x86_64]$ cat SHA1SUM 

3cf40f1837565261be4690df58632742c9fe30a7  F-6.93-x86_64-DVD.iso
6ce7acb3ac9cb8a2630f6ccfb8e64081d0aa0128  F-6.93-x86_64-rescuecd.iso

I'll reboot and run the media check now.

Comment 7 Sean Bruno 2007-05-03 12:02:24 EDT
I redownloaded and reburned the x86_64 ISO on different media on a different
machine with the same results.

The media check does fail on both DVD's with similar errors to the original
error condition.
Comment 8 Sean Bruno 2007-05-03 12:04:01 EDT
I checked the Sony site for updates to the firmware of the DVD burner and it
appears that there is a update for my burner(windows only).

My burner has version 04 and the update is to version 06.  I'll update my drive
today on a windows machine and retest tonight.
Comment 9 Sean Bruno 2007-05-03 23:44:23 EDT
I flashed the Sony drive on a windows machine and brought it back to test.  It
fails in the same way as before.

I downloaded FC6 and burned it as well to make sure the burner hadn't just
failed suddenly.  But the FC6 DVD I just burned works fine.

Any other suggestions?
Comment 10 Chuck Ebbert 2007-05-04 15:44:34 EDT
Can we get the messages from the sata_nv driver initialization?
It should include detection of the CD drive and setting transfer speed.
Comment 11 Sean Bruno 2007-05-04 23:04:20 EDT
Well, I'm pretty sure that this is handled by the pata_amd not sata_nv, but they
may be the same thing or I may have no clue what I am talking about.  Anyway, I
copied down the following after booting off the DVD and the 'test your media'
curses screen was on the screen:

<6> sda: sda1
<5> sd 0:0:0:0:  Attached scsi disk sda
<7> pata_amd 0000:00:06.0: version 0x28
<7> PCI: Setting latency timer of device 0000:00:06.0 to 64
<6> ata3: PATA max UDMA/133 cms 0x00000000000101f0 ctl 0x00000000000103f6 bmdma
0x000000000001e800 irq14
<6> ata4: PATA max UDMA/133 cms 0x0000000000010170 ctl 0x0000000000010376 bmdma
0x000000000001e808 irq15
<6> scsi2: pata_amd
<7> ata3: port disabled: ignoring.
<6> scsi3: pata_amd
<6> ata4.00: ATAPI, max UDMA/66
<6> ata4.00: configured for UDMA/66
<5> scsi 3:0:0:0:  CD-ROM           SONY     DVD RW DRU-800A  KY06 PQ:0 ANSI:5
<4> sr0: scsi3_mmc drive: 62x/62x writer cd/rw xa/form2 cdda tray
<6> Uniform CD-ROM driver Revision: 3.20
<7> sr 3:0:0:0:  Attached scsi CD-ROM sr0
<7> ISO 9660 Extensions: Microsoft Joliet Level 3
<4> Unable to load NLS charset utf8
<4> Unable to load NLS charset utf8
<7> ISO 9660 Extensions: RRIP_1991A
<4> Unable to identify CD-ROM format.
<4> VFS: Can't find an ext2 filesystem on dev loop0


Comment 12 Sean Bruno 2007-05-04 23:09:27 EDT
After selecting the 'test your media' button, the following was on the console
before I rebooted:

<7> ISO 9660 Extensions: Microsoft Joliet Level 3
<4> Unable to load NLS charset utf8
<4> Unable to load NLS charset utf8
<7> ISO 9660 Extensions: RRIP_1991A
<6>sr 3:0:0:0: SCSI error: return code = 0x08000002
<6> sr0: Current: sense key: Hardware Error
<6>       Additional sense: Logical unit communication CRC error (Ultra-DMA/32)
<4> end_request: I/O error, dev sr0, sector 72
<3> Buffer I/O error on device sr0, logical block 9
<3> Buffer I/O error on device sr0, logical block 10
<3> Buffer I/O error on device sr0, logical block 11
<3> Buffer I/O error on device sr0, logical block 12
<3> Buffer I/O error on device sr0, logical block 13
<3> Buffer I/O error on device sr0, logical block 14
<3> Buffer I/O error on device sr0, logical block 15
<3> Buffer I/O error on device sr0, logical block 16
<3> Buffer I/O error on device sr0, logical block 17
<3> Buffer I/O error on device sr0, logical block 18
Comment 13 Sean Bruno 2007-05-11 12:18:25 EDT
I saw alan cox posting something to linux-scsi in the last couple of days that
looks interesting and might be related.  I'm not sure if it's relevant, but
check out this:

http://www.spinics.net/lists/linux-scsi/msg16225.html
Comment 14 Chuck Ebbert 2007-05-11 17:28:54 EDT
What kind of IDE cable is attached to the CD drive (40-wire or 80-wire?)
Comment 15 Chuck Ebbert 2007-05-11 17:31:37 EDT
I think we need this patchset, which was not taken upstream. A much more
invasive fix was done for 2.6.22 instead.
Comment 17 Sean Bruno 2007-05-11 23:27:41 EDT
Created attachment 154577 [details]
40-wire cable that was used when ticket was reported
Comment 18 Sean Bruno 2007-05-11 23:29:53 EDT
Created attachment 154578 [details]
80-wire cable that fixed the issue reported in this ticket
Comment 19 Sean Bruno 2007-05-11 23:30:35 EDT
Created attachment 154579 [details]
Side by side comparison of both cables
Comment 20 Sean Bruno 2007-05-11 23:34:00 EDT
Well, that was surreal.  I honestly didn't know that there was such a thing as a
80-wire IDE cable.  But sure enough, wikipedia saves the day.

In addition, attaching the 80-wire IDE cable appears to allow me to get anaconda
started and all appears to be well.  I aborted the install after anaconda
successfully spun up and fired up X to begin the installation.  

I'll continue with my testing, but sheesh!  Thanks folks.

It seems that either the new SCSI->ATA code in the kernel or the DVD-ROM drive
is not respecting the mode of the cable when attached in FC7.  FC6 was installed
with the 40-wire cable installed and didn't have any issues like this.
Comment 21 Alan Cox 2007-05-12 11:42:19 EDT
Thanks for the report. It should be retrying a few times on the cable error and
then changing down speed. I am a bit baffled why this didn't occur.
Comment 22 Sean Bruno 2007-05-12 18:19:10 EDT
I noted that the BIOS reports that the speed is ATA66 even with the 40 conductor
cable attached.  Perhaps the BIOS is reporting a bad value to the driver?
Comment 23 Alan Cox 2007-05-12 20:03:25 EDT
The only vaguely reliable way to check the cable type on Nvidia hardware appears
to be via ACPI. A pure ACPI driver is under development that may help here - so
yes we know about that.
Comment 24 Alan Cox 2007-09-10 11:19:00 EDT
ACPI cable detect is now upstream and will be in 2.6.23. How much this helps for
a given board will be dependant upon the BIOS alas.
Comment 25 Alan Cox 2008-03-10 07:39:25 EDT
Making this a bit more of a catch all for all the variants of the same problem
now being sorted in -mm tree ready.
Comment 26 Bug Zapper 2008-05-13 22:50:15 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.